Skip to content

Referral

Referral functions

Create an application

Request

Create an application with the provided data

Security
bearer-jwt
Path
product-idstringrequired

The product id provided by RAI.

Headers
API-Versionstring
Value:"1.0.8"
Bodyapplication/jsonrequired

The information to use for the application.

applicantobject(Applicant)required

The information of the person applying.

spouseSpouseInformation (object) or null
One of:
consentsobject(Consents)required

The applicant's various consents.

metadataMetadata (object) or null
One of:
curl -i -X POST \
  'https://api-docs.raipartners.com/_mock/apis/referral-api-v1/application/{product-id}' \
  -H 'API-Version: 1.0.8' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "applicant": {
      "identity": {
        "name": {
          "first": "John",
          "last": "Smith",
          "middle": "James"
        },
        "birthDate": "2000-01-31",
        "socialSecurityNumber": 123456789
      },
      "email": "myemail@email.com",
      "phoneNumber": "1234567890",
      "address": {
        "line1": "1 Main St",
        "line2": "Apt 35",
        "city": "Dallas",
        "state": "TX",
        "zipCode": "75000"
      },
      "income": {
        "annualIncome": 30000,
        "source": "Employment"
      },
      "expenses": {
        "monthlyHousing": 1000
      },
      "maritalStatus": "NotMarried"
    },
    "spouse": {
      "name": {
        "first": "John",
        "last": "Smith",
        "middle": "James"
      },
      "email": "myemail@email.com",
      "address": {
        "line1": "1 Main St",
        "line2": "Apt 35",
        "city": "Dallas",
        "state": "TX",
        "zipCode": "75000"
      }
    },
    "consents": {
      "contact": {
        "allowEmailContact": true,
        "allowPhoneContact": true,
        "allowSmsContact": true
      },
      "shareDataWithFI": true,
      "softPull": true
    },
    "metadata": {
      "membershipType": "NonMember",
      "referralChannel": "Branch",
      "creditInquiry": "Soft"
    }
  }'

Responses

The application was handled successfully.

Bodyapplication/json
idstring, (uuid)required

The application id.

Example:"2bb04ce6-daeb-422b-b8fd-686aa09e2c88"
urlstring, (uri)required

The application url to redirect to.

Example:"https://apply.groundworkcard.com/app/wizard/2bb04ce6-daeb-422b-b8fd-686aa09e2c88"
statusstringrequired

The application status.

Enum:"Pending""Approved""Declined"
Example:"Pending"
Response
{ "id": "2bb04ce6-daeb-422b-b8fd-686aa09e2c88", "url": "https://apply.groundworkcard.com/app/wizard/2bb04ce6-daeb-422b-b8fd-686aa09e2c88", "status": "Pending" }